package com.atlassian.bitbucket.test;

/**
 * Simple implementation of ProductTopologyVisitor
 */
public abstract class ProductTopologyAdapter<T> implements ProductTopologyVisitor<T> {
    @Override
    public T visitStashClusterPair() {
        return visitDefault();
    }

    @Override
    public T visitStashStandalone() {
        return visitDefault();
    }

    @Override
    public T visitBitbucketMasterAndMirror() {
        return visitDefault();
    }

    protected T visitDefault() {
        return null;
    }
}
